> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simplesandbox.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1sandboxes terminals



## OpenAPI

````yaml https://api.simplesandbox.dev/doc get /api/v1/sandboxes/{id}/terminals
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sandbox API
servers: []
security: []
paths:
  /api/v1/sandboxes/{id}/terminals:
    get:
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '200':
          description: List of terminals
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TerminalListResponse'
        '401':
          description: Unauthorized
        '404':
          description: Sandbox not found
        '503':
          description: Daemon not available
components:
  schemas:
    TerminalListResponse:
      type: object
      properties:
        terminals:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                example: '1234'
              shell:
                type: string
                example: bash
              clientCount:
                type: number
                example: 2
            required:
              - id
              - shell
              - clientCount
      required:
        - terminals

````